My Oracle Support Banner

Primary Note on WebLogic Server (WLS) Patches, Upgrade Installers, and Full Installers (Doc ID 1075833.1)

Last updated on MAY 18, 2021

Applies to:

Oracle WebLogic Server - Version 8.1 and later
Information in this document applies to any platform.



Details

This document provides links to instructions for how to patch WebLogic Server (WLS), how to get and use WLS upgrade installers, and how to get and use WLS full installers.

Actions

Patches

The first step for patching WLS is to obtain the patch. All WebLogic Server patches are obtained from My Oracle Support. Detailed instructions and screen shots on how to locate and download patches using the patch name (Bug ID) or the (older) Smart Update patch ID are available from Master Note: How to Locate and Download Patches for WebLogic Server Using My Oracle Support <Note 1302053.1>.

Prior to June 2011, patches were downloaded using the Smart Update tool. Information on this change is available from WebLogic Net Installers and Downloading of Patches Via Smart Update To Be Decommissioned <Note 1294294.1>.

WLS 12.1.1 and earlier: Use Smart Update to Apply Patches

If you are using WLS 12.1.1 or earlier, after you have obtained the patch, you should apply it using the Smart Update tool (bsu.cmd for Windows or bsu.sh for UNIX). Smart Update is always recommended because it takes care of all the details for you, and more important, it provides a check to make sure that the patch you are applying does not conflict with any patches already on your system.

Smart Update documentation

Smart Update documentation is here. The most important details about Smart Update are all in the documentation.

Using Smart Update

Detailed step-by-step instructions on how to apply patches to your system using Smart Update are available from How to Apply WebLogic Server (WLS) Patches Using Smart Update <Note 876004.1>.

Smart Update only works in WLS systems of versions 9.x and higher. If you are still using WLS 8.1 or lower, please see How to Apply Patches to a WLS 8.1 Environment <Note 942815.1> for patching instructions.

For more details and issues relating to Smart Update, please see the Master Note on Troubleshooting Smart Update Issues <Note 1230725.1>

WLS 12.1.2 and above: Use OPatch to Apply Patches

Smart Update is no longer applicable for WLS 12.1.2 and higher. On these versions, please use the OPatch tool to apply the patches. For instructions, please see the documentation at Patching with OPatch.

Upgrade Installers

In WLS 12.1.3 and earlier, upgrade installers were provided for a few common installations. Here is how to find them and how to use them:

Please note that Oracle recommends always installing WLS to a new ORACLE_HOME, and the upgrade installers do not support this.

Full Installers

If you need to do a complete new install of WLS, need to move from one major version to another, or your particular upgrade installer isn't available, then you need a full installer. Here is how to find them:

Fusion Middleware Infrastructure Installers

Generic installers which include the infrastructure for Fusion Middleware (including Fusion Middleware Control aka EM, JRF, and JPS/OPSS) are also available for versions which support Fusion Middleware. The Fusion Middleware installer allows installing all of the infrastructure needed for Fusion Middleware products and WebLogic Server at once.

Lite, Slim and Quick Installers

In WLS 12.2.1.4 and higher, additional installers are provided to reduce download and installation times. These have a smaller footprint and are missing some features. More information is here:

Choosing the Right Installer

Choosing the installer which is right for a particular operating system or platform (32-bit or 64-bit, for example) can be difficult. The generic installer for the version you need will always work, but sometimes there is a more convenient installer available as well. More information is available here:

Contacts

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Details
Actions
 Patches
 WLS 12.1.1 and earlier: Use Smart Update to Apply Patches
 Smart Update documentation
 Using Smart Update
 WLS 12.1.2 and above: Use OPatch to Apply Patches
 Upgrade Installers
 Full Installers
 Fusion Middleware Infrastructure Installers
 Lite, Slim and Quick Installers
 Choosing the Right Installer
Contacts
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.